CVS-DEBUILD(1)

BEZEICHNUNG
cvs-debuild - baut ein Debian-Paket mittels Cvs-buildpackage und Debuild

ÜBERSICHT
cvs-debuild [Debuild-Optionen] [Cvs-buildpackage-Optionen] [--lintian-opts Lintian-Optionen]

BESCHREIBUNG
cvs-debuild ist ein Wrapper um cvs-buildpackage, um es mit debuild als Paketbauprogramm auszuführen. (Dies kann nicht einfach durch Verwendung der Option -C von cvs-buildpackage bewerkstelligt werden, da es nicht weiß, wie all die speziellen debuild-Optionen gehandhabt werden.)

Das Programm versteckt einfach die Optionen von debuild und lintian und übergibt sie an debuild, wenn es durch cvs-buildpackage aufgerufen wird. Alle Standard-debuild-Optionen könnten (wie im Folgenden aufgelistet) benutzt werden, beachten Sie aber, dass der Root-Befehl, der durch irgendwelche --rootcmd- oder -r-Befehlszeilenoptionen angegeben wurde, als eine Option an cvs-buildpackage übergeben wird. Die erste entdeckte nicht-debuild-Option wird den Anfang der cvs-buildpackage-Optionen kennzeichnen.

Die Auswahl des Root-Befehls ist etwas heikel; falls es dort irgendwelche Befehlszeilenoptionen gibt, werden diese benutzt. Falls nicht, wird cvs-buildpackage verwendet, falls es so eingerichtet wurde, dass es einen Standard-Root-Befehl verwendet. Schlussendlich, falls keiner dieser Fälle vorliegt, wird debuild seine Prozeduren benutzen, um einen geeigneten Befehl zu bestimmen, wie es in seiner Dokumentation beschrieben wird.

Weitere Informationen über das Verhalten von debuild(1) und cvs-buildpackage finden Sie in der jeweiligen Handbuchseite.

OPTIONEN
Das Folgende sind die von cvs-debuild erkannten debuild-Optionen. Alle Optionen von cvs-buildpackage und lintian werden einfach an das passende Programm weitergegeben. Erklärungen und Bedeutungen dieser Variablen finden Sie unter debuild(1).

--no-conf, --noconf

--rootcmd=Befehl-zum-Erlangen-von-Root-Rechten, -rBefehl-zum-Erlangen-von-Root-Rechten

--preserve-env

--preserve-envvar=Variable, -eVariable

--set-envvar=Variable=Wert, -eVariable=Wert

--lintian, --no-lintian

--ignore-dirname, --check-dirname
    Dies sollte nicht nötig sein, wird aber trotzdem bereitgestellt.

SIEHE AUCH
cvs-buildpackage(1), debuild(1), dpkg-buildpackage(1) und lintian(1)

AUTOR
Dieses Programm wurde von Julian Gilbey <jdg@debian.org> geschrieben.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <URL:https://po4a.org/> durch Chris Leick c.leick@vollbio.de im Juli 2012 erstellt und vom deutschen Debian-Übersetzer-Team korrekturgelesen. Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket devscripts. Sie können mit dem folgenden Befehl das englische Original anzeigen »man -L C Abschnitt deutsche_Handbuchseite«.